Package ru.bitel.bgbilling.modules.softline.server.bean

# Enum ErrorCodes

java.lang.Object
java.lang.Enum<ErrorCodes>
ru.bitel.bgbilling.modules.softline.server.bean.ErrorCodes

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ErrorCodes>`, `java.lang.constant.Constable`

    public enum ErrorCodes
    extends java.lang.Enum<ErrorCodes>

Описание кодов ошибок в ответах от SoftLine

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ANSWER_ERROR_1` |
  `ANSWER_ERROR_10` |
  `ANSWER_ERROR_11` |
  `ANSWER_ERROR_12` |
  `ANSWER_ERROR_13` |
  `ANSWER_ERROR_14` |
  `ANSWER_ERROR_18` |
  `ANSWER_ERROR_2` |
  `ANSWER_ERROR_21` |
  `ANSWER_ERROR_22` |
  `ANSWER_ERROR_3` |
  `ANSWER_ERROR_4` |
  `ANSWER_ERROR_5` |
  `ANSWER_ERROR_6` |
  `ANSWER_ERROR_7` |
  `ANSWER_ERROR_8` |
  `ANSWER_ERROR_9` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` |
  `java.lang.String` | `getMessage()` |
  `static java.lang.String` | `getMessage​(int code)` |
  `static ErrorCodes` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ErrorCodes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANSWER_ERROR_1

    public static final ErrorCodes ANSWER_ERROR_1

  - ### ANSWER_ERROR_2

    public static final ErrorCodes ANSWER_ERROR_2

  - ### ANSWER_ERROR_3

    public static final ErrorCodes ANSWER_ERROR_3

  - ### ANSWER_ERROR_4

    public static final ErrorCodes ANSWER_ERROR_4

  - ### ANSWER_ERROR_5

    public static final ErrorCodes ANSWER_ERROR_5

  - ### ANSWER_ERROR_6

    public static final ErrorCodes ANSWER_ERROR_6

  - ### ANSWER_ERROR_7

    public static final ErrorCodes ANSWER_ERROR_7

  - ### ANSWER_ERROR_8

    public static final ErrorCodes ANSWER_ERROR_8

  - ### ANSWER_ERROR_9

    public static final ErrorCodes ANSWER_ERROR_9

  - ### ANSWER_ERROR_10

    public static final ErrorCodes ANSWER_ERROR_10

  - ### ANSWER_ERROR_11

    public static final ErrorCodes ANSWER_ERROR_11

  - ### ANSWER_ERROR_12

    public static final ErrorCodes ANSWER_ERROR_12

  - ### ANSWER_ERROR_13

    public static final ErrorCodes ANSWER_ERROR_13

  - ### ANSWER_ERROR_14

    public static final ErrorCodes ANSWER_ERROR_14

  - ### ANSWER_ERROR_18

    public static final ErrorCodes ANSWER_ERROR_18

  - ### ANSWER_ERROR_21

    public static final ErrorCodes ANSWER_ERROR_21

  - ### ANSWER_ERROR_22

    public static final ErrorCodes ANSWER_ERROR_22

- ## Method Details

  - ### values

    public static ErrorCodes[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ErrorCodes valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getMessage

    public java.lang.String getMessage()

  - ### getMessage

    public static java.lang.String getMessage​(int code)